<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Aphollo
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'aphollo' ); ?></a>
	<header id="masthead" class="site-header" role="banner">
    <div class="container">
    <div class="row">
        <div class="cute-6-tablet">
          <div class="site-branding">
            <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
            <h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>           
          </div><!-- .site-branding -->
        </div>
        <div class="cute-6-tablet animated pulse">
         <div class="trademark site-description">
          <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo( 'description' ); ?>" rel="home">
            <?php if ( of_get_option('aphollo_logo') !='' ) { ?>
            <img src="<?php echo of_get_option('aphollo_logo'); ?>" class="responsive-img" alt="<?php bloginfo( 'description' ); ?>" />
            <?php } else { ?>
            <img src="<?php echo get_template_directory_uri(); ?>/images/logo-aphollo.jpg" class="responsive-img" alt="<?php bloginfo( 'description' ); ?>" />
            <?php } ?>
          </a>
         </div>
        </div>
    </div>
    <div class="row">
        <div class="cute-12-tablet animated pulse">
            <?php if ( get_header_image() ) : ?>
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
                <img src="<?php header_image(); ?>" class="responsive-img" alt="<?php bloginfo( 'name' ); ?>">
            </a>
            <?php endif; // End header image check. ?>              
        </div>
    </div><!-- #row -->
    </div><!-- #container -->
	</header><!-- #masthead -->
	<div id="content" class="site-content">