<?php
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 */
function optionsframework_option_name() {

	// Change this to use your theme slug
	return 'options-framework-aphollo';
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 *
 * If you are making your theme translatable, you should replace 'aphollo'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
 */

function optionsframework_options() {
	
	$act_array = array(
		'Y' => __('Activate', 'aphollo'),
		'N' => __('Deactivate', 'aphollo')
	);

/**********************************************************************/
/************** TITLES AND LOGOS
/**********************************************************************/
	// Tab 
	$options[] = array( 
		 'name' => __('Trademark', 'aphollo'),
		 'type' => 'heading');
	
	// Objetos 
	$options[] = array(
	     'name' => __('Logos Trademark', 'aphollo'),
		 'desc' => __('Select the logo to be shown on the web with a maximum size of 352px wide.', 'aphollo'),
		 'std' => '',
		 'id'   => 'aphollo_logo',
		 'type' => 'upload');
		 
	$options[] = array(
	     'name' => __('Favicon', 'aphollo'),
		 'desc' => __('Choose a Favicon in png with a maximum size of 64 x 64 px.', 'aphollo'),
		 'std' => '',
		 'id'   => 'aphollo_favicon',
		 'type' => 'upload');
		 
	$options[] = array(
	     'name' => __('Header image', 'aphollo'),
		 'desc' => __('Adjust the header image that appears under the trademark from the Header tab in the main menu appearance. Or click on the following link <a href="themes.php?page=custom-header">Header</a> for to go straight. You can change or remove the image, add multiple images, change the color of text in the header and even delete or restore everything to the default state.', 'aphollo'),
		 'std' => '',
		 'id'   => 'aphollo_infoheader',
		 'type' => 'info');
			
/**********************************************************************/
/************** ACTIVE POSTS FRONTPAGE
/**********************************************************************/
	// Tab 
	$options[] = array( 
		 'name' => __('Posts', 'aphollo'),
		 'type' => 'heading');
		 
	$options[] = array(
	     'name' => __('Posts in frontpage', 'aphollo'),
		 'desc' => __('<hr>', 'aphollo'),
		 'std' => '',
		 'id'   => 'aphollo_infofront',
		 'type' => 'info');
	$options[] = array(
	     'name' => __('Enable Posts on Homepage', 'aphollo'),
		 'desc' => __('Enable or disable a summary of the articles published in entries on the main page. The number of entries to be displayed will have to define in the menu <a href="options-reading.php">Reading</a> <b>Settings</b>.', 'aphollo'),
		 'std' => '',
		 'id'   => 'aphollo_infoposts',
		 'type' => 'info');
	$options[] = array(
		'name' => __('Posts', 'aphollo'),
		'id' => 'aphollo_activepost',
		'std' => 'Y',
		'type' => 'radio',
		'options' => $act_array);
		 
/**********************************************************************/
/************** SECTIONS
/**********************************************************************/
	// Tab About us
	$options[] = array( 
		 'name' => __('About us', 'aphollo'),
		 'type' => 'heading');
	
	$options[] = array(
		'name' => __('Title in Sections', 'aphollo'),
		'desc' => __('Title', 'aphollo'),
		'id' => 'aphollo_front_01',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Highlight your three main sections', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'name' => __('Subtitle in Sections', 'aphollo'),
		'desc' => __('Subtitle', 'aphollo'),
		'id' => 'aphollo_front_02',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Featured on the front page the three major sections of your company and link to full access to information.', 'aphollo'),
		'type' => 'text');
		
	// Section Primary
	$options[] = array(
	     'name' => __('About us', 'aphollo'),
		 'desc' => __('<hr>', 'aphollo'),
		 'std' => '',
		 'id'   => 'aphollo_infosecc',
		 'type' => 'info');
	$options[] = array(
		'name' => __('Image', 'aphollo'),
		'desc' => __('Add a picture of exact size: 250 x 250 pixels.', 'aphollo'),
		'id' => 'aphollo_front_03',
		'std' => __('', 'aphollo'),
		'type' => 'upload');
	$options[] = array(
		'name' => __('About us', 'aphollo'),
		'desc' => __('Stop or change the title of this section.', 'aphollo'),
		'id' => 'aphollo_front_04',
		'std' => __('', 'aphollo'),
		'placeholder' => __('About us', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'name' => __('Description', 'aphollo'),
		'desc' => __('Write a brief description.', 'aphollo'),
		'id' => 'aphollo_front_05',
		'std' => __('', 'aphollo'),
		'placeholder' => __('A very brief description to call the action.', 'aphollo'),
		'type' => 'textarea');
	$options[] = array(
		'name' => __('The URL buttom', 'aphollo'),
		'desc' => __('Enter the address where you aim this button.', 'aphollo'),
		'id' => 'aphollo_front_06',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Example: http://www.example.com/about-us/', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'name' => __('Name Button', 'aphollo'),
		'desc' => __('Button Name', 'aphollo'),
		'id' => 'aphollo_front_07',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Access about us', 'aphollo'),
		'type' => 'text');
		
	// Tab About us
	$options[] = array( 
		 'name' => __('Office', 'aphollo'),
		 'type' => 'heading');
		
	// Section Secundary
	$options[] = array(
		'name' => __('Image', 'aphollo'),
		'desc' => __('Add a picture of exact size: 250 x 250 pixels.', 'aphollo'),
		'id' => 'aphollo_front_08',
		'std' => __('', 'aphollo'),
		'type' => 'upload');
	$options[] = array(
		'name' => __('Office', 'aphollo'),
		'desc' => __('Stop or change the title of this section.', 'aphollo'),
		'id' => 'aphollo_front_09',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Office', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'name' => __('Description', 'aphollo'),
		'desc' => __('Write a brief description.', 'aphollo'),
		'id' => 'aphollo_front_10',
		'std' => __('', 'aphollo'),
		'placeholder' => __('A very brief description to call the action.', 'aphollo'),
		'type' => 'textarea');
	$options[] = array(
		'name' => __('The URL buttom', 'aphollo'),
		'desc' => __('Enter the address where you aim this button.', 'aphollo'),
		'id' => 'aphollo_front_11',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Example: http://www.example.com/office/', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'name' => __('Name Buttom', 'aphollo'),
		'desc' => __('Button Name', 'aphollo'),
		'id' => 'aphollo_front_12',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Access office', 'aphollo'),
		'type' => 'text');
		
	// Tab Delegations
	$options[] = array( 
		 'name' => __('Delegations', 'aphollo'),
		 'type' => 'heading');
		
	// Section Terciary
	$options[] = array(
		'name' => __('Image', 'aphollo'),
		'desc' => __('Add a picture of exact size: 250 x 250 pixels.', 'aphollo'),
		'id' => 'aphollo_front_13',
		'std' => __('', 'aphollo'),
		'type' => 'upload');
	$options[] = array(
		'name' => __('Delegations', 'aphollo'),
		'desc' => __('Stop or change the title of this section.', 'aphollo'),
		'id' => 'aphollo_front_14',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Delegations', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'name' => __('Description', 'aphollo'),
		'desc' => __('Write a brief description.', 'aphollo'),
		'id' => 'aphollo_front_15',
		'std' => __('', 'aphollo'),
		'placeholder' => __('A very brief description to call the action.', 'aphollo'),
		'type' => 'textarea');
	$options[] = array(
		'name' => __('The URL buttom', 'aphollo'),
		'desc' => __('Enter the address where you aim this button.', 'aphollo'),
		'id' => 'aphollo_front_16',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Example: http://www.example.com/delegations/', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'name' => __('Name Buttom', 'aphollo'),
		'desc' => __('Button Name', 'aphollo'),
		'id' => 'aphollo_front_17',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Access delegations', 'aphollo'),
		'type' => 'text');
		 
/**********************************************************************/
/************** QUALITY
/**********************************************************************/
	// Tab Products
	$options[] = array( 
		 'name' => __('Products', 'aphollo'),
		 'type' => 'heading');
		 
    $options[] = array(
		'name' => __('Title in Quality', 'aphollo'),
		'desc' => __('Title', 'aphollo'),
		'id' => 'aphollo_front_18',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Quality Management', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'name' => __('Subtitle in Quality', 'aphollo'),
		'desc' => __('Subtitle', 'aphollo'),
		'id' => 'aphollo_front_19',
		'std' => __('', 'aphollo'),
		'placeholder' => __('If you need any product or service, our company achieves the highest quality and discretion.', 'aphollo'),
		'type' => 'text');
		
	// Products
	$options[] = array(
	     'name' => __('Products', 'aphollo'),
		 'desc' => __('<hr>', 'aphollo'),
		 'std' => '',
		 'id'   => 'aphollo_infosecc',
		 'type' => 'info');
	$options[] = array(
		'name' => __('Image', 'aphollo'),
		'desc' => __('Add an image with maximum size of 450 x 450 pixels.', 'aphollo'),
		'id' => 'aphollo_front_20',
		'std' => __('', 'aphollo'),
		'type' => 'upload');
	$options[] = array(
		'name' => __('Products', 'aphollo'),
		'desc' => __('Stop or change the title of this section.', 'aphollo'),
		'id' => 'aphollo_front_21',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Products', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'name' => __('Description', 'aphollo'),
		'desc' => __('Write a brief description.', 'aphollo'),
		'id' => 'aphollo_front_22',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Add all your services or products featured on the cover.', 'aphollo'),
		'type' => 'textarea');
		
	// Tab Services
	$options[] = array( 
		 'name' => __('Services', 'aphollo'),
		 'type' => 'heading');
	// Services
	$options[] = array(
		'name' => __('Image', 'aphollo'),
		'desc' => __('Add an image with maximum size of 450 x 450 pixels.', 'aphollo'),
		'id' => 'aphollo_front_23',
		'std' => __('', 'aphollo'),
		'type' => 'upload');
	$options[] = array(
		'name' => __('Services', 'aphollo'),
		'desc' => __('Stop or change the title of this section.', 'aphollo'),
		'id' => 'aphollo_front_24',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Services', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'name' => __('Description', 'aphollo'),
		'desc' => __('Write a brief description.', 'aphollo'),
		'id' => 'aphollo_front_25',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Add all your services or products featured on the cover.', 'aphollo'),
		'type' => 'textarea');
		
	// Tab Support
	$options[] = array( 
		 'name' => __('Support', 'aphollo'),
		 'type' => 'heading');
	// Support
	$options[] = array(
		'name' => __('Image', 'aphollo'),
		'desc' => __('Add an image with maximum size of 450 x 450 pixels.', 'aphollo'),
		'id' => 'aphollo_front_26',
		'std' => __('', 'aphollo'),
		'type' => 'upload');
	$options[] = array(
		'name' => __('Support', 'aphollo'),
		'desc' => __('Stop or change the title of this section.', 'aphollo'),
		'id' => 'aphollo_front_27',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Support', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'name' => __('Description', 'aphollo'),
		'desc' => __('Write a brief description.', 'aphollo'),
		'id' => 'aphollo_front_28',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Add all your services or products featured on the cover.', 'aphollo'),
		'type' => 'textarea');
		
	// Tab Consultants
	$options[] = array( 
		 'name' => __('Consultants', 'aphollo'),
		 'type' => 'heading');
	// Consultants
	$options[] = array(
		'name' => __('Image', 'aphollo'),
		'desc' => __('Add an image with maximum size of 450 x 450 pixels.', 'aphollo'),
		'id' => 'aphollo_front_29',
		'std' => __('', 'aphollo'),
		'type' => 'upload');
	$options[] = array(
		'name' => __('Consultants', 'aphollo'),
		'desc' => __('Stop or change the title of this section.', 'aphollo'),
		'id' => 'aphollo_front_30',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Consultants', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'name' => __('Description', 'aphollo'),
		'desc' => __('Write a brief description.', 'aphollo'),
		'id' => 'aphollo_front_31',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Add all your services or products featured on the cover.', 'aphollo'),
		'type' => 'textarea');
		 
/**********************************************************************/
/************** CONTACT
/**********************************************************************/
	// Tab 
	$options[] = array( 
		 'name' => __('Contact', 'aphollo'),
		 'type' => 'heading');
		 
	// Contact
	$options[] = array(
		'name' => __('Contact Details.', 'aphollo'),
		'desc' => __('Company Name', 'aphollo'),
		'id' => 'aphollo_address_1',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Company S.A.', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'desc' => __('Address', 'aphollo'),
		'id' => 'aphollo_address_3',
		'std' => __('', 'aphollo'),
		'placeholder' => __('New Burlington St, 123', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'desc' => __('Postal Code', 'aphollo'),
		'id' => 'aphollo_address_4',
		'std' => __('', 'aphollo'),
		'placeholder' => __('W1B 5NF', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'desc' => __('City', 'aphollo'),
		'id' => 'aphollo_address_5',
		'std' => __('', 'aphollo'),
		'placeholder' => __('London', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'desc' => __('Country', 'aphollo'),
		'id' => 'aphollo_address_6',
		'std' => __('', 'aphollo'),
		'placeholder' => __('United Kingdom', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'desc' => __('Phone', 'aphollo'),
		'id' => 'aphollo_address_7',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Phone', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'desc' => __('E-Mail contact', 'aphollo'),
		'id' => 'aphollo_address_8',
		'std' => __('', 'aphollo'),
		'placeholder' => __('office@company.com', 'aphollo'),
		'type' => 'text');
		
	$options[] = array(
	     'name' => __('Titles secction', 'aphollo'),
		 'desc' => __('<hr>', 'aphollo'),
		 'std' => '',
		 'id'   => 'aphollo_infosecc',
		 'type' => 'info');
		 
	$options[] = array(
		'desc' => __('Contact Us', 'aphollo'),
		'id' => 'aphollo_front_32',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Contact Us', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'desc' => __('Description', 'aphollo'),
		'id' => 'aphollo_front_33',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Insert contact details of your company: address, social networks, phone, email.', 'aphollo'),
		'type' => 'text');
		
	$options[] = array(
	     'desc' => __('<hr>', 'aphollo'),
		 'std' => '',
		 'id'   => 'aphollo_infosecc',
		 'type' => 'info');
		 
	$options[] = array(
		'desc' => __('Company address', 'aphollo'),
		'id' => 'aphollo_front_34',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Company address', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'desc' => __('Phone & e-Mail', 'aphollo'),
		'id' => 'aphollo_front_35',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Phone & e-Mail', 'aphollo'),
		'type' => 'text');
	$options[] = array(
		'desc' => __('Social networks', 'aphollo'),
		'id' => 'aphollo_front_36',
		'std' => __('', 'aphollo'),
		'placeholder' => __('Social networks', 'aphollo'),
		'type' => 'text');

/**********************************************************************/
/************** SOCIAL NETWORKS
/**********************************************************************/	
	$options[] = array( 
		 'name' => __('Social networks', 'aphollo'),
		 'type' => 'heading');
	
	// Facebook
	$options[] = array(
		'name' => __('Facebook', 'aphollo'),
		'id' => 'aphollo_face',
		'std' => 'N',
		'type' => 'radio',
		'options' => $act_array);
	$options[] = array(
		'desc' => __('Enter the full URL.', 'aphollo'),
		'id' => 'aphollo_facebook',
		'std' => '',
		'placeholder' => 'URL Facebook',
		'type' => 'text');	
	// Twitter
	$options[] = array(
		'name' => __('Twitter', 'aphollo'),
		'id' => 'aphollo_twit',
		'std' => 'Y',
		'type' => 'radio',
		'options' => $act_array);
	$options[] = array(
		'desc' => __('Enter the full URL.', 'aphollo'),
		'id' => 'aphollo_twitter',
		'std' => '',
		'placeholder' => 'URL Twitter',
		'type' => 'text');
	// YouTube
	$options[] = array(
		'name' => __('YouTube', 'aphollo'),
		'id' => 'aphollo_yout',
		'std' => 'N',
		'type' => 'radio',
		'options' => $act_array);
	$options[] = array(
		'desc' => __('Enter the full URL.', 'aphollo'),
		'id' => 'aphollo_youtube',
		'std' => '',
		'placeholder' => 'URL YouTube',
		'type' => 'text');
	// Vimeo
	$options[] = array(
		'name' => __('Vimeo', 'aphollo'),
		'id' => 'aphollo_vime',
		'std' => 'N',
		'type' => 'radio',
		'options' => $act_array);
	$options[] = array(
		'desc' => __('Enter the full URL.', 'aphollo'),
		'id' => 'aphollo_vimeo',
		'std' => '',
		'placeholder' => 'URL Vimeo',
		'type' => 'text');
	// Google+
	$options[] = array(
		'name' => __('Google +', 'aphollo'),
		'id' => 'aphollo_goog',
		'std' => 'N',
		'type' => 'radio',
		'options' => $act_array);
	$options[] = array(
		'desc' => __('Enter the full URL.', 'aphollo'),
		'id' => 'aphollo_google',
		'std' => '',
		'placeholder' => 'URL Google',
		'type' => 'text');
	// Feed
	$options[] = array(
		'name' => __('Feed', 'aphollo'),
		'id' => 'aphollo_fee',
		'std' => 'N',
		'type' => 'radio',
		'options' => $act_array);
	$options[] = array(
		'desc' => __('Enter the full URL.', 'aphollo'),
		'id' => 'aphollo_feed',
		'std' => '',
		'placeholder' => 'URL Feed',
		'type' => 'text');
	
	return $options;
}
?>